<!-- -------------------- ./doc/content/modals/signers-list_modal.html -------------------- -->

<dialog
  aria-labelledby="signers-list-title"
  id="signers-list"
  class="fr-modal"
  role="dialog" data-fr-concealing-backdrop="false"
>
  <div class="fr-container fr-container--fluid fr-container-md">
    <div class="fr-grid-row fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
        <div class="fr-modal__body">
          <div class="fr-modal__header">
            <button class="fr-btn--close fr-btn" aria-controls="signers-list">
              Fermer
            </button>
          </div>
            <div class="fr-modal__content">
              <h1 id="signers-list-title" class="fr-modal__title">
<span class="fr-icon-team-fill fr-fi--lg"></span>
Liste des signataires
              </h1>

             <div class="fr-pl-4w">
              <?php foreach($this->SIGNATAIRES as $signer) {
              
              if ( $signer->codeverified == 1 ) {
                echo "<span class='fr-badge os-signature-status fr-badge--sm fr-badge--success' aria-hidden='true' title='Signature effectuée'></span>\n";
              } else {

                if($signer->status == 'refused') {
                  echo "<span class='fr-badge os-signature-status fr-badge--sm fr-badge--error' aria-hidden='true' title='Signature refusée'></span>\n";
                } else {
echo "<span class='fr-badge os-signature-status fr-badge--sm fr-badge--info fr-badge--no-icon' aria-hidden='true' title='Signature en attente'>
        <span class='fr-icon--xs fr-icon-question-mark' aria-hidden='true'></span>
      </span>\n";

                }  
                  echo '</span>';
                }
            echo '&nbsp;<span class="" style="white-space: nowrap;">'. $signer->mail . '</span>';

              echo '<br>';

              } ?>
            </div>          
        </div>
      </div>
    </div>
  </div>
</dialog>
